package Generics;

import drawing_objects.DrawingPlane;
import movement_strategy.DrawingObjectPlane;

import java.util.ArrayList;
import java.util.HashMap;

public class PlaneGenericStorage {
    final HashMap<String, PlanesGenericCollection<DrawingPlane, DrawingObjectPlane>> planeStorages;
    private final int _pictureWidth;
    private final int _pictureHeight;

    public PlaneGenericStorage(int pictureWidth, int pictureHeight){
        planeStorages = new HashMap<>();
        _pictureWidth = pictureWidth;
        _pictureHeight = pictureHeight;
    }
    public ArrayList<String> Keys(){
        return new ArrayList<>(planeStorages.keySet());
    }
    public void AddSet(String name){
        if(planeStorages.containsKey(name))
            return;
        planeStorages.put(name, new PlanesGenericCollection<>(_pictureWidth, _pictureHeight));
    }

    public void DelSet(String name){
        if(!planeStorages.containsKey(name))
            return;
        planeStorages.remove(name);
    }

    public PlanesGenericCollection<DrawingPlane, DrawingObjectPlane> getCollection(String name){
        if(!planeStorages.containsKey(name))
            return null;
        return planeStorages.get(name);
    }

    public DrawingPlane getPlanes(String collectionName, int position){
        return planeStorages.get(collectionName).Get(position);
    }
}
